org.eclipse.jgit.diff

## Class EditList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Edit>
      - - org.eclipse.jgit.diff.EditList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Edit>, Collection<Edit>, List<Edit>, RandomAccess

    public class EditList
    extends ArrayList<Edit>

Specialized list of `Edit`s in a document.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`EditList()` Create a new, empty edit list.
`EditList(int capacity)` Create an empty edit list with the specified capacity.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EditList` `singleton(Edit edit)` Construct an edit list containing a single edit.
`String` `toString()`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### EditList

    public EditList()

Create a new, empty edit list.

#### EditList

    public EditList(int capacity)

Create an empty edit list with the specified capacity.

Parameters:
  `capacity` - the initial capacity of the edit list. If additional edits are added to the list, it will be grown to support them.

### Method Detail

#### singleton

    public static EditList singleton(Edit edit)

Construct an edit list containing a single edit.

Parameters:
  `edit` - the edit to return in the list.
Returns:
  list containing only `edit`.

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<Edit>`